/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "physics_connection.h"


using namespace std;


/**
   \brief standard constructor
*/
PhysicsConnection::PhysicsConnection () 
{
   this->setClassName ("PhysicsConnection");
   connection = NULL;
}


/**
   \brief standard deconstructor

*/
PhysicsConnection::~PhysicsConnection () 
{
  if (this->connection)
    delete this->connection;
}






bool PhysicsConnection::addConnection(ParticleSystem* particleSystem, Field* field)
{
  if (!this->connection)
    {
      this->connection = new PhysConnection;
      this->connection->type = PCON_ParticlesField;
      this->connection->particleSystem = particleSystem;
      this->connection->field = field;
    }
}
